For the complete documentation index, see llms.txt. This page is also available as Markdown.

List tenant payment methods

List all payment methods available for tenant.

get
/tenants/{tenantUid}/paymentmethods
Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
Query parameters
pageNumberintegerOptional

Reference to a specific page in a result set.

pageSizeintegerOptional

The number of items per page in a result set.

sortBystringOptional

Defines which field the resource list is sorted by.

sortDirectionstring · enumOptional
ENUMDescription
ASCSort in ascending order
DESCSort in descending order
Possible values:
systemCodestring · enumOptional

Reference to a system code

Possible values:
Responses
200

TenantPaymentMethod list response

application/json
get/tenants/{tenantUid}/paymentmethods
GET /v2/tenants/{tenantUid}/paymentmethods HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

TenantPaymentMethod list response

{
  "items": [
    {
      "active": true,
      "name": "text",
      "description": "text",
      "receiptText": "text",
      "settlementCode": "text",
      "paymentMethod": {
        "allowRefund": true,
        "allowSale": true,
        "allowAmount": true,
        "allowCashback": true,
        "allowPrepayment": true,
        "requireExclusiveUse": true,
        "name": "text",
        "parameters": [
          {
            "key": "text",
            "keyType": "TEXT",
            "name": "text",
            "required": true
          }
        ],
        "paymentCode": "CASH"
      },
      "allowRefund": true,
      "tenantPaymentMethodUid": "text",
      "allowSale": true,
      "allowPrepayment": true,
      "allowCashback": true,
      "parameters": [
        {
          "name": "text",
          "description": "text",
          "required": true,
          "key": "text",
          "type": "TEXT",
          "regex": "text"
        }
      ],
      "externalSystemMappings": [
        {
          "systemCode": "OMNIUM",
          "externalId": "text",
          "tenantPaymentMethodMappingUid": "text"
        }
      ],
      "position": 1,
      "visibility": "FEATURED",
      "requirements": {
        "requireCustomer": true,
        "requireCustomerMobile": true,
        "requireCustomerEmail": true,
        "requireCustomerType": "ANY",
        "requireCustomerContact": true,
        "requireExclusiveUse": true,
        "requireRefundToSameMethod": true
      },
      "amountInput": "NONE",
      "useRounding": true
    }
  ],
  "paging": {
    "pageNumber": 1,
    "pageSize": 1,
    "totalCount": 1
  }
}

Last updated

Was this helpful?